VectorLinux
July 31, 2014, 11:22:20 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: 20121130 calligra-2.5.4 [VL7.0]  (Read 999 times)
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« on: November 30, 2012, 08:58:33 pm »

hata_ph has built a new Calligra package for VectorLinux 32bit and 64bit repositories 7.0.
   
      
   
Code:
calligra: calligra (KDE office productivity suite)
calligra:
calligra: Calligra office productivity applications.  Included are a word
calligra: processor, spreadsheet, presentation program, chart and graph creator,
calligra: vector graphics tool, database report creator, flowcharting program,
calligra: integrated data management program, a pixel graphics editor,
calligra: a mathematical formula editor, and Calligra Workspace
calligra: (a combination of all of the above).
calligra:
calligra: License: GPL
calligra: Authors: http://calligra-suite.org/
calligra: Website: http://calligra-suite.org/
   
   After testing this package please stop back here and let us know how it works for you.
   
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
sledgehammer
Vectorian
****
Posts: 1419



« Reply #1 on: November 30, 2012, 10:51:53 pm »

works great!  Thanks hata_ph.  Thanks particularly since I could never get Calligra 2.4.1 to work at all.
« Last Edit: November 30, 2012, 10:58:52 pm by sledgehammer » Logged

VL7.0 xfce4 Samsung RF511
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #2 on: December 02, 2012, 11:21:14 pm »

Thanks for testing 32bit sledgehammer, I'll test 64bit and if good will move to extra after kde 4.9.3 is tested.
64bit tests good, still looking at kde3
« Last Edit: December 03, 2012, 07:33:47 am by stretchedthin » Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
hata_ph
Moderator
Vectorian
*****
Posts: 3256


-- Just being myself --


« Reply #3 on: December 07, 2012, 05:18:51 pm »

I have rebuild calligra v2 to include the missing krita program...pls move it into the testing repo...

PS: Calligra need lcms2 as a dependencies for the krita program...pls move it to testing repo too...thanks
Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #4 on: December 07, 2012, 08:58:12 pm »

Thanks hata_ph I have moved new caligra into 32bit and 64bit testing.
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #5 on: December 09, 2012, 01:16:47 am »

I moved this into testing for both 32it and 64bit.

Then I tested in both 32bit and 64bit repos just to make sure I moved all the bits required by slack-required file.
It moves everything just fine and installs nicely.


Trouble is ...
Calligra will not start. See attached picture, no matter what I start I get the same error. (Occurs in both 32bit and 64bit)
See attached picture.

hata_ph could you take a look at what could have changed since you made build 2 of this.  I know build 1 was working fine.
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
sledgehammer
Vectorian
****
Posts: 1419



« Reply #6 on: December 09, 2012, 09:17:02 am »

I am a bit confused.  Nothing new here.  I loaded 2.5.4 from testing a while back and it worked fine.  I looked at it in gslapt today and now only option is to remove 2.5.4.  Since Calligra Words seems to work fine here, I did nothing and will await developments. 
Logged

VL7.0 xfce4 Samsung RF511
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #7 on: December 09, 2012, 11:05:00 am »

Wierd,
When I install Calligra first before anything else, I got the errors.

Then I did a test where I installed Calligra after installing kdenlive, amarok, and
digikam and it worked fine.

Then I went back to a fresh install, installed Calligra first again and
once again I got the errors.

Then I reinstalled (using the reinstall option in gslapt). During the reinstall qt was upgraded to 4.8.2.
This upgrade should have happened during the first install, don't know whay it does not.
After upgrade of qt to version 4.8.2-i586-3vl70, Calligra worked as expected.

So I think that is the problem.  For whatever reason when installing Calligra first it does not upgrade qt when doing the install on a fresh VL install.  So depending on the state of your test box you may or may not see this problem at all.
« Last Edit: December 09, 2012, 11:19:54 am by stretchedthin » Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
hata_ph
Moderator
Vectorian
*****
Posts: 3256


-- Just being myself --


« Reply #8 on: December 09, 2012, 04:18:21 pm »

strange...qt-4.8.2 is a dependency for calligra

http://vlcore.vectorlinux.com/buildbot/builders/calligra/builds/7/steps/32-bit%20build/logs/stdio

EDIT:

stretchedthin,

you are correct...install calligra alone will not upgrade qt-4.8.2. double strange...
« Last Edit: December 09, 2012, 04:32:55 pm by hata_ph » Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!